if gKingStates == nil then return end
if gKingStates and gKingStates[0].isRomHack then return end

function mario_update(m)
    local gSync = gPlayerSyncTable[m.playerIndex]

    if m.playerIndex ~= 0 then return end

    local NAME = "MARIO"

    if gSync.isKing then
        NAME = "KING"
    end

    smlua_text_utils_course_acts_replace(COURSE_BOB, " 1 BOB-OMB BATTLEFIELD", "BIG BOB-OMB ON THE SUMMIT",     "FOOTRACE WITH KOOPA THE QUICK",  "SHOOT TO THE ISLAND IN THE SKY",  "FIND THE 8 RED COINS",           NAME.." WINGS TO THE SKY",       "BEHIND CHAIN CHOMP'S GATE")
    smlua_text_utils_course_acts_replace(COURSE_HMC, " 6 HAZY MAZE CAVE",      "SWIMMING BEAST IN THE CAVERN",  "ELEVATE FOR 8 RED COINS",        "METAL-HEAD "..NAME.." CAN MOVE!", "NAVIGATING THE TOXIC MAZE",      "A-MAZE-ING EMERGENCY EXIT",     "WATCH FOR ROLLING ROCKS")
    smlua_text_utils_secret_star_replace(COURSE_WMOTR, "   WING "..NAME.." OVER THE RAINBOW")
end

function on_dialog(id)
    local gSync = gPlayerSyncTable[0]

    local NAME = "Mario"
    local CAP = "Cap"

    local LGNE_BRTH = "linguine\nbreath"
    local LAY_PASTA = "You should\nlay off the pasta, Mario!"

    if gSync.isKing then
        NAME = "King"
        CAP = "Crown"

        LGNE_BRTH = "little\nguy"
        LAY_PASTA = "You're\nheavy for your size!"
    end

smlua_text_utils_dialog_replace(DIALOG_003, 1, 5, 95, 200, (
"Thank you, "..NAME.."! The Big\
Bob-omb is nothing but a\
big dud now! But the\
battle for the castle has\
just begun.\
Other enemies are holding\
the other Power Stars. If\
you recover more Stars,\
you can open new doors\
that lead to new worlds!\
My Bob-omb Buddies are\
waiting for you. Be sure\
to talk to them--they'll\
set up cannons for you."))

smlua_text_utils_dialog_replace(DIALOG_005, 1, 3, 30, 200, (
"Hey, "..NAME.."! Is it true\
that you beat the Big\
Bob-omb? Cool!\
You must be strong. And\
pretty fast. So, how fast\
are you, anyway?\
Fast enough to beat me...\
Koopa the Quick? I don't\
think so. Just try me.\
How about a race to the\
mountaintop, where the\
Big Bob-omb was?\
Whaddya say? When I say\
'Go,' let the race begin!\
\
Ready....\
\
//Go!////Don't Go"))

smlua_text_utils_dialog_replace(DIALOG_006, 1, 3, 30, 200, (
"Hey!!! Don't try to scam\
ME. You've gotta run\
the whole course.\
Later. Look me up when\
you want to race for\
real."))

smlua_text_utils_dialog_replace(DIALOG_007, 1, 5, 30, 200, (
"Hufff...fff...pufff...\
Whoa! You...really...are...\
fast! A human blur!\
Here you go--you've won\
it, fair and square!"))

smlua_text_utils_dialog_replace(DIALOG_011, 1, 4, 30, 200, (
"You've just stepped on\
the Metal Cap Switch!\
The Metal Cap makes\
"..NAME.." invincible.\
Now Metal Caps will\
pop out of all of the\
green blocks you find.\
\
Would you like to Save?\
\
//Yes////No"))

smlua_text_utils_dialog_replace(DIALOG_012, 1, 4, 30, 200, (
"You've just stepped on\
the Vanish Cap Switch.\
The Vanish Cap makes\
"..NAME.." disappear.\
Now Vanish Caps will pop\
from all of the blue\
blocks you find.\
\
Would you like to Save?\
\
//Yes////No"))

smlua_text_utils_dialog_replace(DIALOG_013, 1, 5, 30, 200, (
"You've collected 100\
coins! "..NAME.." gains more\
power from the castle.\
Do you want to Save?\
//Yes////No"))

smlua_text_utils_dialog_replace(DIALOG_014, 1, 4, 30, 200, (
"Wow! Another Power Star!\
"..NAME.." gains more courage\
from the power of the\
castle.\
Do you want to Save?\
\
//You Bet//Not Now"))

smlua_text_utils_dialog_replace(DIALOG_017, 1, 4, 30, 200, (
"I'm the Big Bob-omb, lord\
of all blasting matter,\
king of ka-booms the\
world over!\
How dare you scale my\
mountain? By what right\
do you set foot on my\
imperial mountaintop?\
You may have eluded my\
guards, but you'll never\
escape my grasp...\
\
...and you'll never take\
away my Power Star. I\
hereby challenge you,\
"..NAME.."!\
If you want the Star I\
hold, you must prove\
yourself in battle.\
\
Can you pick me up from\
the back and hurl me to\
this royal turf? I think\
that you cannot!"))

smlua_text_utils_dialog_replace(DIALOG_020, 1, 6, 95, 150, (
"Dear Mario:\
Please come to the\
castle. I've baked\
a cake for you.\
Yours truly--\
Princess Toadstool"))

smlua_text_utils_dialog_replace(DIALOG_030, 1, 6, 30, 200, (
"Hello! The Lakitu Bros.,\
cutting in with a live\
update on "..NAME.."'s\
progress. He's about to\
learn a technique for\
sneaking up on enemies.\
The trick is this: he has\
to walk very slowly in\
order to walk quietly.\
\
\
\
And wrapping up filming\
techniques reported on\
earlier, you can take a\
look around using [C]> and\
[C]<. Press [C]| to view the\
action from a distance.\
When you can't move the\
camera any farther, the\
buzzer will sound. This is\
the Lakitu Bros.,\
signing off."))

smlua_text_utils_dialog_replace(DIALOG_031, 1, 5, 30, 200, (
"No way! You beat me...\
again!! And I just spent\
my entire savings on\
these new Koopa\
Mach 1 Sprint shoes!\
Here, I guess I have to\
hand over this Star to\
the winner of the race.\
Congrats, "..NAME.."!"))

smlua_text_utils_dialog_replace(DIALOG_032, 1, 5, 30, 200, (
"If you get the Wing Cap,\
you can fly! Put the Cap\
on, then do a Triple\
Jump--jump three times\
in a row--to take off.\
You can fly even higher\
if you blast out of a\
cannon wearing the\
Wing Cap!\
\
Use the [C] Buttons to look\
around while flying, and\
press [Z] to land."))

smlua_text_utils_dialog_replace(DIALOG_033, 1, 6, 30, 200, (
"Ciao! You've reached\
Princess Toadstool's\
castle via a warp pipe.\
Using the controller is a\
piece of cake. Press [A] to\
jump and [B] to attack.\
Press [B] to read signs,\
too. Use the Control Stick\
in the center of the\
controller to move "..NAME.."\
around. Now, head for\
the castle."))

smlua_text_utils_dialog_replace(DIALOG_034, 1, 6, 30, 200, (
"Good afternoon. The\
Lakitu Bros., here,\
reporting live from just\
outside the Princess's\
castle.\
\
"..NAME.." has just arrived\
on the scene, and we'll\
be filming the action live\
as he enters the castle\
and pursues the missing\
Power Stars.\
As seasoned cameramen,\
we'll be shooting from the\
recommended angle, but\
you can change the\
camera angle by pressing\
the [C] Buttons.\
If we can't adjust the\
view any further, we'll\
buzz. To take a look at\
the surroundings, stop\
and press [C]^.\
\
Press [A] to resume play.\
Switch camera modes with\
the [R] Button. Signs along\
the way will review these\
instructions.\
\
For now, reporting live,\
this has been the\
Lakitu Bros."))

smlua_text_utils_dialog_replace(DIALOG_035, 1, 5, 30, 200, (
"There are four camera, or\
'[C],' Buttons. Press [C]^\
to look around using the\
Control Stick.\
\
You'll usually see "..NAME.."\
through Lakitu's camera.\
It is the camera\
recommended for normal\
play.\
You can change angles by\
pressing [C]>. If you press\
[R], the view switches to\
"..NAME.."'s camera, which\
is directly behind him.\
Press [R] again to return\
to Lakitu's camera. Press\
[C]| to see "..NAME.." from\
afar, using either\
Lakitu's or "..NAME.."'s view."))

smlua_text_utils_dialog_replace(DIALOG_036, 1, 5, 30, 200, (
"OBSERVATION PLATFORM\
Press [C]^ to take a look\
around. Don't miss\
anything!\
\
Press [R] to switch to\
"..NAME.."'s camera. It\
always follows "..NAME..".\
Press [R] again to switch\
to Lakitu's camera.\
Pause the game and\
switch the mode to 'fix'\
the camera in place while\
holding [R]. Give it a try!"))

smlua_text_utils_dialog_replace(DIALOG_042, 1, 4, 30, 200, (
"Caution! Narrow Bridge!\
Cross slowly!\
\
\
You can jump to the edge\
of the cliff and hang on,\
and you can climb off the\
edge if you move slowly.\
When you want to let go,\
either press [Z] or press\
the Control Stick in the\
direction of "..NAME.."'s back.\
To climb up, press Up on\
the Control Stick. To\
scurry up quickly, press\
the [A] Button."))

smlua_text_utils_dialog_replace(DIALOG_045, 1, 6, 95, 200, (
"Whew! I'm just about\
flapped out. "..LAY_PASTA.."\
That's it for now. Press\
[A] to let go. Okay,\
bye byyyyyyeeee!"))

smlua_text_utils_dialog_replace(DIALOG_046, 1, 5, 30, 200, (
"You have to master three\
important jumping\
techniques.\
First try the Triple Jump.\
\
Run fast, then jump three\
times, one, two, three.\
If you time the jumps\
right, you'll hop, skip,\
then jump really high.\
Next, go for distance\
with the Long Jump. Run,\
press [Z] to crouch then [A]\
to jump really far.\
\
To do the Wall Kick, press\
[A] to jump at a wall, then\
jump again when you hit\
the wall.\
\
Got that? Triple Jump,\
Long Jump, Wall Kick.\
Practice, practice,\
practice. You don't stand\
a chance without them."))

smlua_text_utils_dialog_replace(DIALOG_050, 1, 4, 30, 200, (
"Hold [Z] to crouch and\
slide down a slope.\
Or press [Z] while in the\
air to Pound the Ground!\
If you stop, crouch, then\
jump, you'll do a\
Backward Somersault!\
Got that?\
There's more. Crouch and\
then jump to do a\
Long Jump! Or crouch and\
walk to...never mind."))

smlua_text_utils_dialog_replace(DIALOG_055, 1, 4, 30, 200, (
"Hey-ey, "..NAME..", buddy,\
howzit goin'? Step right\
up. You look like a fast\
sleddin' kind of guy.\
I know speed when I see\
it, yes siree--I'm the\
world champion sledder,\
you know. Whaddya say?\
How about a race?\
Ready...\
\
//Go//// Don't Go"))

smlua_text_utils_dialog_replace(DIALOG_058, 1, 4, 30, 200, (
"You found my precious,\
precious baby! Where\
have you been? How can\
I ever thank you, "..NAME.."?\
Oh, I do have this...\
...Star. Here, take it\
with my eternal\
gratitude."))

smlua_text_utils_dialog_replace(DIALOG_060, 1, 4, 30, 200, (
"ATTENTION!\
Read Before Diving In!\
\
\
If you stay under the\
water for too long, you'll\
run out of oxygen.\
\
Return to the surface for\
air or find an air bubble\
or coins to breathe while\
underwater.\
Press [A] to swim. Hold [A]\
to swim slow and steady.\
Tap [A] with smooth timing\
to gain speed.\
Press Up on the\
Control Stick and press [A]\
to dive.\
\
Press Down on the Control\
Stick and press [A] to\
return to the surface.\
\
Hold Down and press [A]\
while on the surface near\
the edge of the water to\
jump out."))

smlua_text_utils_dialog_replace(DIALOG_064, 1, 5, 30, 200, (
"When you put on the Wing\
Cap that comes from a\
red block, do the Triple\
Jump to soar high into\
the sky.\
Use the Control Stick to\
guide "..NAME..". Pull back to\
to fly up, press forward\
to nose down, and press [Z]\
to land."))

smlua_text_utils_dialog_replace(DIALOG_065, 1, 6, 30, 200, (
"Swimming Lessons!\
Tap [A] to do the breast\
stroke. If you time the\
taps right, you'll swim\
fast.\
\
Press and hold [A] to do a\
slow, steady flutter kick.\
Press Up on the Control\
Stick to dive, and pull\
back on the stick to head\
for the surface.\
To jump out of the water,\
hold Down on the Control\
Stick, then press [A].\
Easy as pie, right?\
\
\
But remember:\
"..NAME.." can't breathe under\
the water! Return to the\
surface for air when the\
Power Meter runs low.\
\
And one last thing: You\
can't open doors that\
are underwater."))

smlua_text_utils_dialog_replace(DIALOG_066, 1, 5, 30, 200, (
NAME..", it's Peach!\
Please be careful! Bowser\
is so wicked! He will try\
to burn you with his\
horrible flame breath.\
Run around behind and\
grab him by the tail with\
the [B] Button. Once you\
grab hold, swing him\
around in great circles.\
Rotate the Control Stick\
to go faster and faster.\
The faster you swing him,\
the farther he'll fly.\
\
Use the [C] Buttons to look\
around, "..NAME..". You have\
to throw Bowser into one\
of the bombs in the four\
corners.\
Aim well, then press [B]\
again to launch Bowser.\
Good luck, "..NAME.."! Our\
fate is in your hands."))

smlua_text_utils_dialog_replace(DIALOG_067, 1, 5, 30, 200, (
"Tough luck, "..NAME.."!\
Princess Toadstool isn't\
here...Gwa ha ha!! Go\
ahead--just try to grab\
me by the tail!\
You'll never be able to\
swing ME around! A wimp\
like you won't throw me\
out of here! Never! Ha!"))

smlua_text_utils_dialog_replace(DIALOG_068, 1, 5, 30, 200, (
"It's Lethal Lava Land!\
If you catch fire or fall\
into a pool of flames,\
you'll be hopping mad, but\
don't lose your cool.\
You can still control\
"..NAME.."--just try to keep\
calm!"))

smlua_text_utils_dialog_replace(DIALOG_072, 1, 5, 30, 200, (
"High winds ahead!\
Pull your "..CAP.." down tight.\
If it blows off, you'll\
have to find it on this\
mountain."))

smlua_text_utils_dialog_replace(DIALOG_074, 1, 5, 30, 200, (
"You can grab on to the\
edge of a cliff or ledge\
with your fingertips and\
hang down from it.\
\
To drop from the edge,\
either press the Control\
Stick in the direction of\
"..NAME.."'s back or press the\
[Z] Button.\
To get up onto the ledge,\
either press Up on the\
Control Stick or press [A]\
as soon as you grab the\
ledge to climb up quickly."))

smlua_text_utils_dialog_replace(DIALOG_075, 1, 5, 30, 200, (
NAME.."!! My castle is in\
great peril. I know that\
Bowser is the cause...and\
I know that only you can\
stop him!\
The doors in the castle\
that have been sealed by\
Bowser can be opened only\
with Star Power.\
\
But there are secret\
paths in the castle,\
paths that Bowser hasn't\
found.\
\
One of those paths is in\
this room, and it holds\
one of the castle's Secret\
Stars!\
\
Find that Secret Star,\
"..NAME.."! It will help you\
on your quest. Please,\
"..NAME..", you have to\
help us!\
Retrieve all of the\
Power Stars in the castle\
and free us from this\
awful prison!\
Please!"))

smlua_text_utils_dialog_replace(DIALOG_076, 1, 6, 30, 200, (
"Thanks to the power of\
the Stars, life is\
returning to the castle.\
Please, "..NAME..", you have\
to give Bowser the boot!\
\
Here, let me tell you a\
little something about the\
castle. In the room with\
the mirrors, look carefully\
for anything that's not\
reflected in the mirror.\
And when you go to the\
water town, you can flood\
it with a high jump into\
the painting. Oh, by the\
way, look what I found!"))

smlua_text_utils_dialog_replace(DIALOG_078, 1, 5, 30, 200, (
"Break open the Blue Coin\
Block by Pounding the\
Ground with the [Z] Button.\
One Blue Coin is worth\
five Yellow Coins.\
But you have to hurry!\
The coins will disappear\
if you're not quick to\
collect them! Too bad."))

smlua_text_utils_dialog_replace(DIALOG_082, 1, 4, 30, 200, (
"Hold on to your hat! If\
you lose it, you'll be\
injured easily.\
\
If you do lose your "..CAP..",\
you'll have to find it in\
the course where you\
lost it.\
Oh, boy, it's not looking\
good for Peach. She's\
still trapped somewhere\
inside the walls.\
Please, "..NAME..", you have\
to help her! Did you know\
that there are enemy\
worlds inside the walls?\
Yup. It's true. Bowser's\
troops are there, too.\
Oh, here, take this. I've\
been keeping it for you."))

smlua_text_utils_dialog_replace(DIALOG_083, 1, 6, 30, 200, (
"There's something strange\
about that clock. As you\
jump inside, watch the\
position of the big hand.\
Oh, look what I found!\
Here, "..NAME..", catch!"))

smlua_text_utils_dialog_replace(DIALOG_092, 1, 5, 30, 200, (
"Pestering me again, are\
you, "..NAME.."? Can't you see\
that I'm having a merry\
little time, making\
mischief with my minions?\
Now, return those Stars!\
My troops in the walls\
need them! Bwa ha ha!"))

smlua_text_utils_dialog_replace(DIALOG_093, 1, 5, 30, 200, (
NAME.."! You again! Well\
that's just fine--I've\
been looking for something\
to fry with my fire\
breath!\
Your Star Power is\
useless against me!\
Your friends are all\
trapped within the\
walls...\
And you'll never see the\
Princess again!\
Bwa ha ha ha!"))

--[[
smlua_text_utils_dialog_replace(DIALOG_099, 1, 5, 95, 200, (
"Eh he he...\
You're mine, now, hee hee!\
I'll pass right through\
this wall. Can you do\
that? Heh, heh, heh!"))
--]]

smlua_text_utils_dialog_replace(DIALOG_101, 1, 3, 95, 200, (
"Ackk! Let...go...\
You're...choking...me...\
Cough...I've been framed!\
This "..CAP.."? Oh, all right,\
take it. It's a cool "..CAP..",\
but I'll give it back.\
I think it looks better on\
me than it does on you,\
though! Eeeee! Kee keee!"))

smlua_text_utils_dialog_replace(DIALOG_116, 1, 5, 95, 200, (
"Whaaa....Whaaat?\
Can it be that a\
pipsqueak like you has\
defused the Bob-omb\
king????\
You might be fast enough\
to ground me, but you'll\
have to pick up the pace\
if you want to take King\
Bowser by the tail.\
Methinks my troops could\
learn a lesson from you!\
Here is your Star, as I\
promised, "..NAME..".\
\
If you want to see me\
again, select this Star\
from the menu. For now,\
farewell."))

smlua_text_utils_dialog_replace(DIALOG_121, 1, 5, 30, 200, (
"Nooo! It can't be!\
You've really beaten me,\
"..NAME.."?!! I gave those\
troops power, but now\
it's fading away!\
Arrgghh! I can see peace\
returning to the world! I\
can't stand it! Hmmm...\
It's not over yet...\
\
C'mon troops! Let's watch\
the ending together!\
Bwa ha ha!"))

smlua_text_utils_dialog_replace(DIALOG_131, 1, 5, 30, 200, (
"Welcome to the Wing Cap\
Course! Step on the red\
switch at the top of the\
tower, in the center of\
the rainbow ring.\
When you trigger the\
switch, all of the red\
blocks you find will\
become solid.\
\
Try out the Wing Cap! Do\
the Triple Jump to take\
off and press [Z] to land.\
\
\
Pull back on the Control\
Stick to go up and push\
forward to nose down,\
just as you would when\
flying an airplane."))

smlua_text_utils_dialog_replace(DIALOG_132, 1, 4, 30, 200, (
"Whoa, "..NAME..", pal, you\
aren't trying to cheat,\
are you? Shortcuts aren't\
allowed.\
Now, I know that you\
know better. You're\
disqualified! Next time,\
play fair!"))

smlua_text_utils_dialog_replace(DIALOG_136, 1, 6, 30, 200, (
"Wow! You've already\
recovered that many\
Stars? Way to go, "..NAME.."!\
I'll bet you'll have us out\
of here in no time!\
\
Be careful, though.\
Bowser and his band\
wrote the book on 'bad.'\
Take my advice: When you\
need to recover from\
injuries, collect coins.\
Yellow Coins refill one\
piece of the Power Meter,\
Red Coins refill two\
pieces, and Blue Coins\
refill five.\
\
To make Blue Coins\
appear, pound on Blue\
Coin Blocks.\
\
\
\
Also, if you fall from\
high places, you'll\
minimize damage if you\
Pound the Ground as you\
land."))

smlua_text_utils_dialog_replace(DIALOG_137, 1, 6, 30, 200, (
"Thanks, "..NAME.."! The castle\
is recovering its energy\
as you retrieve Power\
Stars, and you've chased\
Bowser right out of here,\
on to some area ahead.\
Oh, by the by, are you\
collecting coins? Special\
Stars appear when you\
collect 100 coins in each\
of the 15 courses!"))

smlua_text_utils_dialog_replace(DIALOG_141, 1, 5, 150, 200, (
"You've recovered one of\
the stolen Power Stars!\
Now you can open some of\
the sealed doors in the\
castle.\
Try the Princess's room\
on the second floor and\
the room with the\
painting of Whomp's\
Fortress on Floor 1.\
Bowser's troops are still\
gaining power, so you\
can't give up. Save us,\
"..NAME.."! Keep searching for\
Stars!"))

smlua_text_utils_dialog_replace(DIALOG_149, 1, 3, 30, 200, (
"Welcome to\
Princess Toadstool's\
secret slide!\
There's a Star hidden\
here that Bowser couldn't\
find.\
When you slide, press\
forward to speed up,\
pull back to slow down.\
If you slide really\
fast, you'll win the Star!"))

smlua_text_utils_dialog_replace(DIALOG_154, 1, 5, 30, 200, (
"Hold on to your hat! If\
you lose it, you'll be\
easily injured. If you\
lose it, look for it in the\
course where you lost it.\
Speaking of lost, the\
Princess is still stuck in\
the walls somewhere.\
Please help, "..NAME.."!\
\
Oh, you know that there\
are secret worlds in the\
walls as well as in the\
paintings, right?"))

smlua_text_utils_dialog_replace(DIALOG_155, 1, 6, 30, 200, (
"Thanks to the power of\
the Stars, life is\
returning to the castle.\
Please, "..NAME..", you have\
to give Bowser the boot!\
\
Here, let me tell you a\
little something about the\
castle. In the room with\
the mirrors, look carefully\
for anything that's not\
reflected in the mirror.\
And when you go to the\
water town, you can flood\
it with a high jump into\
the painting."))

smlua_text_utils_dialog_replace(DIALOG_161, 1, 4, 30, 200, (
NAME.."!!!\
It that really you???\
It has been so long since\
our last adventure!\
They told me that I might\
see you if I waited here,\
but I'd just about given\
up hope!\
Is it true? Have you\
really beaten Bowser? And\
restored the Stars to the\
castle?\
And saved the Princess?\
I knew you could do it!\
Now I have a very special\
message for you.\
'Thanks for playing Super\
Mario 64! This is the\
end of the game, but not\
the end of the fun.\
We want you to keep on\
playing, so we have a\
little something for you.\
We hope that you like it!\
Enjoy!!!'\
The Super Mario 64 Team"))

smlua_text_utils_dialog_replace(DIALOG_163, 1, 5, 30, 200, (
"Noooo! You've really\
beaten me this time,\
"..NAME.."! I can't stand\
losing to you!\
\
My troops...worthless!\
They've turned over all\
the Power Stars! What?!\
There are 120 in all???\
\
Amazing! There were some\
in the castle that I\
missed??!!\
\
\
Now I see peace\
returning to the world...\
Oooo! I really hate that!\
I can't watch--\
I'm outta here!\
Just you wait until next\
time. Until then, keep\
that Control Stick\
smokin'!\
Buwaa ha ha!"))

smlua_text_utils_dialog_replace(DIALOG_164, 1, 4, 30, 200, (
NAME.."! What's up, pal?\
I haven't been on the\
slide lately, so I'm out\
of shape.\
Still, I'm always up for a\
good race, especially\
against an old sleddin'\
buddy.\
Whaddya say?\
Ready...set...\
\
//Go//// Don't Go"))

smlua_text_utils_dialog_replace(DIALOG_168, 1, 5, 30, 200, (
"Hey! Knock it off! That's\
the second time you've\
nailed me. Now you're\
asking for it, "..LGNE_BRTH.."!"))

    if gSync.isKing then

smlua_text_utils_dialog_replace(DIALOG_005, 1, 3, 30, 200, (
"Woah hey aren't you Sonic\
th--wait you're not Sonic,\
you're way too small!\
So much for racing the\
fastest thing alive...\
But I've been looking for\
someone new to race so I\
can test out my cool Koopa\
Mach 1 Sprint shoes!\
How about a race to the\
mountaintop, where the\
Big Bob-omb was?\
Whaddya say? When I say\
'Go,' let the race begin!\
\
Ready....\
\
//Go!////Don't Go"))

smlua_text_utils_dialog_replace(DIALOG_006, 1, 3, 30, 200, (
"Hey You!!! Don't try\
anything funny, cheater,\
I saw that!\
You gotta run the course\
so no cannons, no flying,\
and no secret warps!!!\
I mean it!\
\
\
Later. Look me up when\
you want to race for\
real."))

smlua_text_utils_dialog_replace(DIALOG_007, 1, 5, 30, 200, (
"Hufff...fff...pufff...\
Whoa! How did...how did\
you do all that!?\
\
\
You were bouncing all\
over the place--like one\
of those water bombs!\
Here you go--you've won\
it, fair and square!"))

smlua_text_utils_dialog_replace(DIALOG_011, 1, 5, 30, 200, (
"You've just stepped on\
the Metal Cap Switch!\
The Metal Cap makes\
King invincible\
and Bounce much higher.\
Now Metal Caps will\
pop out of all of the\
green blocks you find.\
\
\
Would you like to Save?\
\
//Yes////No"))

smlua_text_utils_dialog_replace(DIALOG_020, 1, 6, 95, 150, (
"Dear ...mario? and a\
princess?? aw hell nah\
this is NOT the right\
address--i live under a\
rock how does it even\
have an address??"))

smlua_text_utils_dialog_replace(DIALOG_030, 1, 3, 30, 200, (
"Hello! The Lakitu Bros.,\
cutting in with a live\
update on--\
Oh right, No Mario.\
...\
\
Nevermind."))

smlua_text_utils_dialog_replace(DIALOG_031, 1, 5, 30, 200, (
"No way! You beat me...\
again!! And I just spent\
my family savings on\
these even cooler Koopa\
Mach 2 sprint shoes!\
Here, I guess I have to\
hand over this Star to\
the winner of the race.\
Congrats, King!"))

smlua_text_utils_dialog_replace(DIALOG_032, 1, 5, 30, 200, (
"If you get the Wing Cap,\
you can fly! Put the Cap\
on, then do a Triple\
Jump--jump three times\
in a row--to take off.\
You can fly even higher\
if you blast out of a\
cannon wearing the\
Wing Cap!\
\
Use the [C] Buttons to look\
around while flying, press\
[A] to dash and press [Z]\
to land."))

smlua_text_utils_dialog_replace(DIALOG_033, 1, 5, 30, 200, (
"so this is the castle.\
if i dont find anything\
im gonna lose my shit it\
took way too long to get\
here.\
something seems off about\
this place... its weirdly\
empty. it feels like i\
shoulda seen someone\
by now but i guess not\
awww who cares i just\
gotta find that 'princess'\
and tell her she got the\
wrong address. i should\
check inside."))

smlua_text_utils_dialog_replace(DIALOG_034, 1, 5, 30, 200, (
"Good afternoon. The\
Lakitu Bros., here,\
reporting live from just\
outside the Princess's\
castle.\
Mario has just arrived\
on the scene and--\
\
            who the fuck are\
                you???\
I'm Lakitu, my brother\
and I were here to find\
Mario but he doesn't\
appear to be--\
                    ...\
I should go."))

smlua_text_utils_dialog_replace(DIALOG_046, 1, 5, 30, 200, (
"You have to master four\
important jumping\
techniques.\
First try the Triple Jump.\
\
Run fast, then jump three\
times, one, two, three.\
If you time the jumps\
right, you'll hop, skip,\
then jump really high.\
Next, go for distance\
with the Long Jump. Run,\
press [Z] to crouch then [A]\
to jump really far.\
\
To do the Wall Kick, press\
[A] to jump at a wall, then\
jump again when you hit\
the wall.\
\
When rolling, slopes will\
change your jump height\
accordingly. Try a Rolldash\
Jump off a steep slope and\
watch the magic happen!\
Got that? Triple Jump,\
Long Jump, Wall Kick,\
Rolldash Jump. keep on\
practicing or you won't\
stand a chance."))

smlua_text_utils_dialog_replace(DIALOG_050, 1, 4, 30, 200, (
"Hold [Z] to crouch and\
roll down slopes. Hold [B]\
in this state to charge a\
Rolldash!\
While charging you slow\
down very quickly, but\
after releasing you're sent\
flying forwards!\
Hold [Z] midair to curl up\
into a ball, you can then\
press [A] to D-Jump and [B]\
to Bounce. Got that?\
There's more. Roll and then\
jump to do a Long Jump! Or\
Rolldash off a steep slope\
to...never mind."))

smlua_text_utils_dialog_replace(DIALOG_060, 1, 4, 30, 200, (
"ATTENTION!\
Read Before Diving In!\
\
\
If you stay under the\
water for too long, you'll\
run out of oxygen.\
\
Return to the surface for\
air or find an air bubble\
or coins to breathe while\
underwater.\
Press [A] to swim. Hold [A]\
to swim slow and steady.\
Tap [A] with smooth timing\
to gain speed.\
Press Up on the\
Control Stick and press [A]\
to dive.\
\
Press Down on the Control\
Stick and press [A] to\
return to the surface.\
\
Hold Down and press [A]\
while on the surface near\
the edge of the water to\
jump out.\
Hold [Z] to float around\
like a beach ball. pressing\
[A] or [B] will move you\
up or down respectively."))

smlua_text_utils_dialog_replace(DIALOG_064, 1, 5, 30, 200, (
"When you put on the Wing\
Cap that comes from a\
red block, do the Triple\
Jump to soar high into\
the sky.\
Use the Control Stick to\
guide King. Pull back to\
to fly up, press forward\
to nose down, press [A] to\
dash and press [Z] to drop."))

smlua_text_utils_dialog_replace(DIALOG_065, 1, 6, 30, 200, (
"Swimming Lessons!\
Tap [A] to do the breast\
stroke. If you time the\
taps right, you'll swim\
fast.\
\
Press and hold [A] to do a\
slow, steady flutter kick.\
Press Up on the Control\
Stick to dive, and pull\
back on the stick to head\
for the surface.\
Hold [Z] to float around\
like a beach ball. pressing\
[A] or [B] will move you\
up or down respectively.\
\
\
To jump out of the water,\
hold Down on the Control\
Stick, then press [A].\
Easy as pie, right?\
\
\
But remember:\
King can't breathe under\
the water! Return to the\
surface for air when the\
Power Meter runs low.\
\
And one last thing: You\
can't open doors that\
are underwater.\
\
\
            ...or can you?"))

smlua_text_utils_dialog_replace(DIALOG_078, 1, 5, 30, 200, (
"Break open the Blue Coin\
Block by Bouncing with\
the [Z] and [B] Buttons.\
One Blue Coin is worth\
five Yellow Coins.\
But you have to hurry!\
The coins will disappear\
if you're not quick to\
collect them! Too bad."))

smlua_text_utils_dialog_replace(DIALOG_131, 1, 5, 30, 200, (
"Welcome to the Wing Cap\
Course! Step on the red\
switch at the top of the\
tower, in the center of\
the rainbow ring.\
When you trigger the\
switch, all of the red\
blocks you find will\
become solid.\
\
Try out the Wing Cap! Do\
the Triple Jump to take\
off, press [A] to dash\
and press [Z] to drop.\
\
Pull back on the Control\
Stick to go up and push\
forward to nose down,\
just as you would when\
flying an airplane."))

smlua_text_utils_dialog_replace(DIALOG_149, 1, 3, 30, 200, (
"Welcome to\
Princess Toadstool's\
secret slide!\
There's a Star hidden\
here that Bowser couldn't\
find.\
While sliding, you can\
still hold [Z] to roll and\
gain more momentum!\
Holding back will slow\
you down so don't worry\
about losing control.\
It'll be hard to avoid\
the hidden Star with this\
kind of speed!"))

    end
end

hook_event(HOOK_MARIO_UPDATE, mario_update)
hook_event(HOOK_ON_DIALOG, on_dialog)
-- replace '' with 『』